Index: trunk/NVTK/INSTALL/CONFIG_FILES/BB_make.ldef_ORCA2_LIM_PISCES
===================================================================
--- trunk/NVTK/INSTALL/CONFIG_FILES/BB_make.ldef_ORCA2_LIM_PISCES	(revision 1357)
+++ trunk/NVTK/INSTALL/CONFIG_FILES/BB_make.ldef_ORCA2_LIM_PISCES	(revision 1357)
@@ -0,0 +1,51 @@
+# $Id: BB_make.ldef_ORCA2_LIM 1301 2009-02-09 17:15:38Z ctlod $
+#----------------------------------------------------------------------
+#- NEMO SYSTEM : Ocean model + Sea Ice Model   (BB_make.ldef in scripts)
+#----------------------------------------------------------------------
+SHELL = /bin/sh
+#-
+#-Q- t3e     #--- Please use gmake instead of make
+#-Q- fjvpp   #--- Please use gmake instead of make
+
+#-
+#- Define the libraries ---
+LIBDIR = ../../../lib
+NEMOLIB := $(shell awk '{ print $$1 }' .config)
+COMP=
+EXPER=
+MODDIR = $(LIBDIR)
+MODEL_LIB = $(LIBDIR)/oce_$(NEMOLIB)/$(COMP)
+IOIPSL_LIB = $(LIBDIR)/libioipsl.a
+#-Q- sxdkrz IOIPSL_LIB = $(LIBDIR)/libsxioipsl.a
+AGRIF_LIB = $(LIBDIR)/libagrif.a
+#-Q- sxdkrz AGRIF_LIB = $(LIBDIR)/libsxagrif.a
+SXMODEL_LIB = $(MODEL_LIB)
+#-Q- sxdkrz SXMODEL_LIB = $(LIBDIR)/oce/libsxopa.a
+OASISMPI2_LIB = 
+LIBMPI  =
+LIBMP   =
+EXEC_BIN = ../../../bin/opa_$(NEMOLIB)_$(COMP)_$(EXPER)
+NBPRC = 6
+
+#-
+#- Key options for OPA ocean model + LIM sea ice model : ORCA_R2 - FORCED (CLIO)
+#  Keys have to be written on one single line (does NOT accept "\")
+
+P_P = key_trabbl_dif key_vectopt_loop key_vectopt_memory key_orca_r2 key_lim2 key_dynspg_flt key_diaeiv key_ldfslp key_traldf_c2d key_traldf_eiv key_dynldf_c3d key_dtatem key_dtasal key_trabbc key_zdftke key_zdfddm key_top key_pisces key_trcbbl_dif key_trcldf_eiv key_trc_zdfddm
+
+#-
+#- Prefix for preprocessing ---
+#-Q- sx8mercure prefix = -D
+#-Q- sx8brodie prefix = -D
+#-Q- eshpux prefix = -D
+#-Q- sxdkrz prefix = -D
+#-Q- linux  prefix = -D
+#-Q- lxiv7  prefix = -D
+#-Q- lxiv8  prefix = -D
+#-Q- g95    prefix = -D
+#-Q- gfortran  prefix = -D
+#-Q- aix6    prefix = -WF,-D
+#-Q- ax6_mono    prefix = -WF,-D
+#-Q- babel  prefix = -WF,-D
+#-Q- osxxlf prefix = -WF,-D
+
Index: trunk/NVTK/INSTALL/CONFIG_FILES/BB_make.ldef_ORCA2_OFF_PISCES
===================================================================
--- trunk/NVTK/INSTALL/CONFIG_FILES/BB_make.ldef_ORCA2_OFF_PISCES	(revision 1357)
+++ trunk/NVTK/INSTALL/CONFIG_FILES/BB_make.ldef_ORCA2_OFF_PISCES	(revision 1357)
@@ -0,0 +1,51 @@
+# $Id: BB_make.ldef_ORCA2_LIM 1301 2009-02-09 17:15:38Z ctlod $
+#----------------------------------------------------------------------
+#- NEMO SYSTEM : Ocean model + Sea Ice Model   (BB_make.ldef in scripts)
+#----------------------------------------------------------------------
+SHELL = /bin/sh
+#-
+#-Q- t3e     #--- Please use gmake instead of make
+#-Q- fjvpp   #--- Please use gmake instead of make
+
+#-
+#- Define the libraries ---
+LIBDIR = ../../../lib
+NEMOLIB := $(shell awk '{ print $$1 }' .config)
+COMP=
+EXPER=
+MODDIR = $(LIBDIR)
+MODEL_LIB = $(LIBDIR)/oce_$(NEMOLIB)/$(COMP)
+IOIPSL_LIB = $(LIBDIR)/libioipsl.a
+#-Q- sxdkrz IOIPSL_LIB = $(LIBDIR)/libsxioipsl.a
+AGRIF_LIB = $(LIBDIR)/libagrif.a
+#-Q- sxdkrz AGRIF_LIB = $(LIBDIR)/libsxagrif.a
+SXMODEL_LIB = $(MODEL_LIB)
+#-Q- sxdkrz SXMODEL_LIB = $(LIBDIR)/oce/libsxopa.a
+OASISMPI2_LIB = 
+LIBMPI  =
+LIBMP   =
+EXEC_BIN = ../../../bin/opa_$(NEMOLIB)_$(COMP)_$(EXPER)
+NBPRC = 6
+
+#-
+#- Key options for OPA ocean model + LIM sea ice model : ORCA_R2 - FORCED (CLIO)
+#  Keys have to be written on one single line (does NOT accept "\")
+
+P_P = key_trabbl_dif key_vectopt_loop key_vectopt_memory key_orca_r2 key_dynspg_flt key_ldfslp key_traldf_c2d key_traldf_eiv key_zdftke key_zdfddm key_top key_off_tra key_pisces key_trcbbl_dif key_trcldf_eiv key_trc_zdfddm
+
+#-
+#- Prefix for preprocessing ---
+#-Q- sx8mercure prefix = -D
+#-Q- sx8brodie prefix = -D
+#-Q- eshpux prefix = -D
+#-Q- sxdkrz prefix = -D
+#-Q- linux  prefix = -D
+#-Q- lxiv7  prefix = -D
+#-Q- lxiv8  prefix = -D
+#-Q- g95    prefix = -D
+#-Q- gfortran  prefix = -D
+#-Q- aix6    prefix = -WF,-D
+#-Q- ax6_mono    prefix = -WF,-D
+#-Q- babel  prefix = -WF,-D
+#-Q- osxxlf prefix = -WF,-D
+
Index: trunk/NVTK/INSTALL/JOBS/BIO_aix6.ksh
===================================================================
--- trunk/NVTK/INSTALL/JOBS/BIO_aix6.ksh	(revision 1356)
+++ 	(revision )
@@ -1,56 +1,0 @@
-#!/bin/ksh
-# $Id$
-##############################################################
-# Original : C. Talandier for NEMO team
-# Contact  : nemo_st@locean-ipsl.upmc.fr
-#
-# It is called by the assessment.ksh script for a 
-# given configuration 
-#
-# INPUT ARGS: 2
-#     - zfile1 : first tracer statistic file to output
-#     - zfile2 : second tracer statistic file to output
-#
-# WORK: It aims to :
-#
-#      - Extract tracers statistics from ocean.output 
-#        for mon, mpi & omp runs
-#
-##############################################################
-#set -xv
-##############################################################
-
-# Initialization
-zfile1=
-zfile2=
-
-# Get arguments
-while getopts a:b:c: opt
-do
-  case "$opt" in
-    a) zfile1="$OPTARG";;
-    b) zfile2="$OPTARG";;
-    c) zfile3="$OPTARG";;
-  esac
-done
-
-zfile[0]=${zfile1}
-zfile[1]=${zfile2}
-zfilein=${zfile3}
-
-ind=0
-
-while [ ${ind} -le 1 ] ; do
-
-       zpath=$( ( dirname ${zfile[${ind}]} ) )
-
-       awk '/----TRACER STAT----/ { print $0 }' ${zpath}/${zfilein} > ${zfile[${ind}]}
-       awk '/MEAN NO   1  DET/ { print $3, $4, $7, $8, $9, $10, $11, $12 }' ${zpath}/${zfilein} >> ${zfile[${ind}]}
-       awk '/MEAN NO   2  ZOO/ { print $3, $4, $7, $8, $9, $10, $11, $12 }' ${zpath}/${zfilein} >> ${zfile[${ind}]}
-       awk '/MEAN NO   3  PHY/ { print $3, $4, $7, $8, $9, $10, $11, $12 }' ${zpath}/${zfilein} >> ${zfile[${ind}]}
-       awk '/MEAN NO   4  NO3/ { print $3, $4, $7, $8, $9, $10, $11, $12 }' ${zpath}/${zfilein} >> ${zfile[${ind}]}
-       awk '/MEAN NO   5  NH4/ { print $3, $4, $7, $8, $9, $10, $11, $12 }' ${zpath}/${zfilein} >> ${zfile[${ind}]}
-       awk '/MEAN NO   6  DOM/ { print $3, $4, $7, $8, $9, $10, $11, $12 }' ${zpath}/${zfilein} >> ${zfile[${ind}]}
-
-       let ind=${ind}+1
-done
Index: trunk/NVTK/INSTALL/JOBS/BIO_osxxlf.ksh
===================================================================
--- trunk/NVTK/INSTALL/JOBS/BIO_osxxlf.ksh	(revision 1356)
+++ 	(revision )
@@ -1,56 +1,0 @@
-#!/bin/ksh
-# $Id$
-##############################################################
-# Original : C. Talandier for NEMO team
-# Contact  : nemo_st@locean-ipsl.upmc.fr
-#
-# It is called by the assessment.ksh script for a 
-# given configuration 
-#
-# INPUT ARGS: 2
-#     - zfile1 : first tracer statistic file to output
-#     - zfile2 : second tracer statistic file to output
-#
-# WORK: It aims to :
-#
-#      - Extract tracers statistics from ocean.output 
-#        for mon, mpi & omp runs
-#
-##############################################################
-#set -xv
-##############################################################
-
-# Initialization
-zfile1=
-zfile2=
-
-# Get arguments
-while getopts a:b:c: opt
-do
-  case "$opt" in
-    a) zfile1="$OPTARG";;
-    b) zfile2="$OPTARG";;
-    c) zfile3="$OPTARG";;
-  esac
-done
-
-zfile[0]=${zfile1}
-zfile[1]=${zfile2}
-zfilein=${zfile3}
-
-ind=0
-
-while [ ${ind} -le 1 ] ; do
-
-       zpath=$( ( dirname ${zfile[${ind}]} ) )
-
-       awk '/----TRACER STAT----/ { print $0 }' ${zpath}/${zfilein} > ${zfile[${ind}]}
-       awk '/MEAN NO   1  DET/ { print $3, $4, $7, $8, $9, $10, $11, $12 }' ${zpath}/${zfilein} >> ${zfile[${ind}]}
-       awk '/MEAN NO   2  ZOO/ { print $3, $4, $7, $8, $9, $10, $11, $12 }' ${zpath}/${zfilein} >> ${zfile[${ind}]}
-       awk '/MEAN NO   3  PHY/ { print $3, $4, $7, $8, $9, $10, $11, $12 }' ${zpath}/${zfilein} >> ${zfile[${ind}]}
-       awk '/MEAN NO   4  NO3/ { print $3, $4, $7, $8, $9, $10, $11, $12 }' ${zpath}/${zfilein} >> ${zfile[${ind}]}
-       awk '/MEAN NO   5  NH4/ { print $3, $4, $7, $8, $9, $10, $11, $12 }' ${zpath}/${zfilein} >> ${zfile[${ind}]}
-       awk '/MEAN NO   6  DOM/ { print $3, $4, $7, $8, $9, $10, $11, $12 }' ${zpath}/${zfilein} >> ${zfile[${ind}]}
-
-       let ind=${ind}+1
-done
Index: trunk/NVTK/INSTALL/JOBS/BIO_sx8brodie.ksh
===================================================================
--- trunk/NVTK/INSTALL/JOBS/BIO_sx8brodie.ksh	(revision 1356)
+++ 	(revision )
@@ -1,56 +1,0 @@
-#!/bin/ksh
-# $Id$
-##############################################################
-# Original : C. Talandier for NEMO team
-# Contact  : nemo_st@locean-ipsl.upmc.fr
-#
-# It is called by the assessment.ksh script for a 
-# given configuration 
-#
-# INPUT ARGS: 2
-#     - zfile1 : first tracer statistic file to output
-#     - zfile2 : second tracer statistic file to output
-#
-# WORK: It aims to :
-#
-#      - Extract tracers statistics from ocean.output 
-#        for mon, mpi & omp runs
-#
-##############################################################
-#set -xv
-##############################################################
-
-# Initialization
-zfile1=
-zfile2=
-
-# Get arguments
-while getopts a:b:c: opt
-do
-  case "$opt" in
-    a) zfile1="$OPTARG";;
-    b) zfile2="$OPTARG";;
-    c) zfile3="$OPTARG";;
-  esac
-done
-
-zfile[0]=${zfile1}
-zfile[1]=${zfile2}
-zfilein=${zfile3}
-
-ind=0
-
-while [ ${ind} -le 1 ] ; do
-
-       zpath=$( ( dirname ${zfile[${ind}]} ) )
-
-       awk '/----TRACER STAT----/ { print $0 }' ${zpath}/${zfilein} > ${zfile[${ind}]}
-       awk '/MEAN NO   1  DET/ { print $3, $4, $7, $8, $9, $10, $11, $12 }' ${zpath}/${zfilein} >> ${zfile[${ind}]}
-       awk '/MEAN NO   2  ZOO/ { print $3, $4, $7, $8, $9, $10, $11, $12 }' ${zpath}/${zfilein} >> ${zfile[${ind}]}
-       awk '/MEAN NO   3  PHY/ { print $3, $4, $7, $8, $9, $10, $11, $12 }' ${zpath}/${zfilein} >> ${zfile[${ind}]}
-       awk '/MEAN NO   4  NO3/ { print $3, $4, $7, $8, $9, $10, $11, $12 }' ${zpath}/${zfilein} >> ${zfile[${ind}]}
-       awk '/MEAN NO   5  NH4/ { print $3, $4, $7, $8, $9, $10, $11, $12 }' ${zpath}/${zfilein} >> ${zfile[${ind}]}
-       awk '/MEAN NO   6  DOM/ { print $3, $4, $7, $8, $9, $10, $11, $12 }' ${zpath}/${zfilein} >> ${zfile[${ind}]}
-
-       let ind=${ind}+1
-done
Index: trunk/NVTK/INSTALL/JOBS/LOBSTER_stat.ksh
===================================================================
--- trunk/NVTK/INSTALL/JOBS/LOBSTER_stat.ksh	(revision 1357)
+++ trunk/NVTK/INSTALL/JOBS/LOBSTER_stat.ksh	(revision 1357)
@@ -0,0 +1,56 @@
+#!/bin/ksh
+# $Id: BIO_sx8brodie.ksh 1301 2009-02-09 17:15:38Z ctlod $
+##############################################################
+# Original : C. Talandier for NEMO team
+# Contact  : nemo_st@locean-ipsl.upmc.fr
+#
+# It is called by the assessment.ksh script for a 
+# given configuration 
+#
+# INPUT ARGS: 2
+#     - zfile1 : first tracer statistic file to output
+#     - zfile2 : second tracer statistic file to output
+#
+# WORK: It aims to :
+#
+#      - Extract tracers statistics from ocean.output 
+#        for mon, mpi & omp runs
+#
+##############################################################
+#set -xv
+##############################################################
+
+# Initialization
+zfile1=
+zfile2=
+
+# Get arguments
+while getopts a:b:c: opt
+do
+  case "$opt" in
+    a) zfile1="$OPTARG";;
+    b) zfile2="$OPTARG";;
+    c) zfile3="$OPTARG";;
+  esac
+done
+
+zfile[0]=${zfile1}
+zfile[1]=${zfile2}
+zfilein=${zfile3}
+
+ind=0
+
+while [ ${ind} -le 1 ] ; do
+
+       zpath=$( ( dirname ${zfile[${ind}]} ) )
+
+       awk '/----TRACER STAT----/ { print $0 }' ${zpath}/${zfilein} > ${zfile[${ind}]}
+       awk '/MEAN NO   1  DET/ { print $3, $4, $7, $8, $9, $10, $11, $12 }' ${zpath}/${zfilein} >> ${zfile[${ind}]}
+       awk '/MEAN NO   2  ZOO/ { print $3, $4, $7, $8, $9, $10, $11, $12 }' ${zpath}/${zfilein} >> ${zfile[${ind}]}
+       awk '/MEAN NO   3  PHY/ { print $3, $4, $7, $8, $9, $10, $11, $12 }' ${zpath}/${zfilein} >> ${zfile[${ind}]}
+       awk '/MEAN NO   4  NO3/ { print $3, $4, $7, $8, $9, $10, $11, $12 }' ${zpath}/${zfilein} >> ${zfile[${ind}]}
+       awk '/MEAN NO   5  NH4/ { print $3, $4, $7, $8, $9, $10, $11, $12 }' ${zpath}/${zfilein} >> ${zfile[${ind}]}
+       awk '/MEAN NO   6  DOM/ { print $3, $4, $7, $8, $9, $10, $11, $12 }' ${zpath}/${zfilein} >> ${zfile[${ind}]}
+
+       let ind=${ind}+1
+done
Index: trunk/NVTK/INSTALL/JOBS/PISCES_stat.ksh
===================================================================
--- trunk/NVTK/INSTALL/JOBS/PISCES_stat.ksh	(revision 1357)
+++ trunk/NVTK/INSTALL/JOBS/PISCES_stat.ksh	(revision 1357)
@@ -0,0 +1,74 @@
+#!/bin/ksh
+# $Id: BIO_sx8brodie.ksh 1301 2009-02-09 17:15:38Z ctlod $
+##############################################################
+# Original : C. Talandier for NEMO team
+# Contact  : nemo_st@locean-ipsl.upmc.fr
+#
+# It is called by the assessment.ksh script for a 
+# given configuration 
+#
+# INPUT ARGS: 2
+#     - zfile1 : first tracer statistic file to output
+#     - zfile2 : second tracer statistic file to output
+#
+# WORK: It aims to :
+#
+#      - Extract tracers statistics from ocean.output 
+#        for mon, mpi & omp runs
+#
+##############################################################
+#set -xv
+##############################################################
+
+# Initialization
+zfile1=
+zfile2=
+
+# Get arguments
+while getopts a:b:c: opt
+do
+  case "$opt" in
+    a) zfile1="$OPTARG";;
+    b) zfile2="$OPTARG";;
+    c) zfile3="$OPTARG";;
+  esac
+done
+
+zfile[0]=${zfile1}
+zfile[1]=${zfile2}
+zfilein=${zfile3}
+
+ind=0
+
+while [ ${ind} -le 1 ] ; do
+
+       zpath=$( ( dirname ${zfile[${ind}]} ) )
+
+       awk '/----TRACER STAT----/ { print $0 }' ${zpath}/${zfilein} > ${zfile[${ind}]}
+       awk '/MEAN NO   1  DIC/ { print $3, $4, $7, $8, $9, $10, $11, $12 }' ${zpath}/${zfilein} >> ${zfile[${ind}]}
+       awk '/MEAN NO   2  Alkalini/ { print $3, $4, $7, $8, $9, $10, $11, $12 }' ${zpath}/${zfilein} >> ${zfile[${ind}]}
+       awk '/MEAN NO   3  O2/ { print $3, $4, $7, $8, $9, $10, $11, $12 }' ${zpath}/${zfilein} >> ${zfile[${ind}]}
+       awk '/MEAN NO   4  CaCO3/ { print $3, $4, $7, $8, $9, $10, $11, $12 }' ${zpath}/${zfilein} >> ${zfile[${ind}]}
+       awk '/MEAN NO   5  PO4/ { print $3, $4, $7, $8, $9, $10, $11, $12 }' ${zpath}/${zfilein} >> ${zfile[${ind}]}
+       awk '/MEAN NO   6  POC/ { print $3, $4, $7, $8, $9, $10, $11, $12 }' ${zpath}/${zfilein} >> ${zfile[${ind}]}
+       awk '/MEAN NO   7  Si/ { print $3, $4, $7, $8, $9, $10, $11, $12 }' ${zpath}/${zfilein} >> ${zfile[${ind}]}
+       awk '/MEAN NO   8  PHY/ { print $3, $4, $7, $8, $9, $10, $11, $12 }' ${zpath}/${zfilein} >> ${zfile[${ind}]}
+       awk '/MEAN NO   9  ZOO/ { print $3, $4, $7, $8, $9, $10, $11, $12 }' ${zpath}/${zfilein} >> ${zfile[${ind}]}
+       awk '/MEAN NO   10  DOC/ { print $3, $4, $7, $8, $9, $10, $11, $12 }' ${zpath}/${zfilein} >> ${zfile[${ind}]}
+       awk '/MEAN NO   11  PHY2/ { print $3, $4, $7, $8, $9, $10, $11, $12 }' ${zpath}/${zfilein} >> ${zfile[${ind}]}
+       awk '/MEAN NO   12  ZOO2/ { print $3, $4, $7, $8, $9, $10, $11, $12 }' ${zpath}/${zfilein} >> ${zfile[${ind}]}
+       awk '/MEAN NO   13  BSi/ { print $3, $4, $7, $8, $9, $10, $11, $12 }' ${zpath}/${zfilein} >> ${zfile[${ind}]}
+       awk '/MEAN NO   14  Fer/ { print $3, $4, $7, $8, $9, $10, $11, $12 }' ${zpath}/${zfilein} >> ${zfile[${ind}]}
+       awk '/MEAN NO   15  BFe/ { print $3, $4, $7, $8, $9, $10, $11, $12 }' ${zpath}/${zfilein} >> ${zfile[${ind}]}
+       awk '/MEAN NO   16  GOC/ { print $3, $4, $7, $8, $9, $10, $11, $12 }' ${zpath}/${zfilein} >> ${zfile[${ind}]}
+       awk '/MEAN NO   17  SFe/ { print $3, $4, $7, $8, $9, $10, $11, $12 }' ${zpath}/${zfilein} >> ${zfile[${ind}]}
+       awk '/MEAN NO   18  DFe/ { print $3, $4, $7, $8, $9, $10, $11, $12 }' ${zpath}/${zfilein} >> ${zfile[${ind}]}
+       awk '/MEAN NO   19  DSi/ { print $3, $4, $7, $8, $9, $10, $11, $12 }' ${zpath}/${zfilein} >> ${zfile[${ind}]}
+       awk '/MEAN NO   20  NFe/ { print $3, $4, $7, $8, $9, $10, $11, $12 }' ${zpath}/${zfilein} >> ${zfile[${ind}]}
+       awk '/MEAN NO   21  NCHL/ { print $3, $4, $7, $8, $9, $10, $11, $12 }' ${zpath}/${zfilein} >> ${zfile[${ind}]}
+       awk '/MEAN NO   22  DCHL/ { print $3, $4, $7, $8, $9, $10, $11, $12 }' ${zpath}/${zfilein} >> ${zfile[${ind}]}
+       awk '/MEAN NO   23  NO3/ { print $3, $4, $7, $8, $9, $10, $11, $12 }' ${zpath}/${zfilein} >> ${zfile[${ind}]}
+       awk '/MEAN NO   24  NH4/ { print $3, $4, $7, $8, $9, $10, $11, $12 }' ${zpath}/${zfilein} >> ${zfile[${ind}]}
+
+       let ind=${ind}+1
+done
Index: trunk/NVTK/INSTALL/JOBS/job_ORCA2_LIM_PISCES.ksh
===================================================================
--- trunk/NVTK/INSTALL/JOBS/job_ORCA2_LIM_PISCES.ksh	(revision 1357)
+++ trunk/NVTK/INSTALL/JOBS/job_ORCA2_LIM_PISCES.ksh	(revision 1357)
@@ -0,0 +1,326 @@
+# $Id: job_ORCA2_LIM.ksh 1301 2009-02-09 17:15:38Z ctlod $
+set -xv
+
+CONF=ORCA2_LIM_PISCES
+# Variables changed by lance_batch.ksh script
+RUN=xxx
+NB_PROCS=xxx
+LAUNCH=xxx
+LEXE=xxx
+CPERF=xxx
+D_INPUT=xxx
+D_GET=xxx
+REF_TAG=xxx
+MYO_EXP=xxx
+TSYMB=xxx
+
+# Variables changed by ins_valid.ksh script
+MAINDIR=/workdir/rech/eee/reee534/AUTRE
+WORK=/workdir/rech/eee/reee534/AUTRE/modipsl/config/
+REF_OD=/u/rech/eee/reee831/NEMO_VALIDATION
+
+# Arguments
+# type = 'long' or '1_short' or '2_short'
+type=$1
+
+case ${type} in
+        'long' ) 
+             DIROUT='LONG'
+             ITERATIONS=210 ;;
+              
+        '1_short' ) 
+             DIROUT='1_SHORT'
+             ITERATIONS=105 ;;
+              
+        '2_short' ) 
+             DIROUT='2_SHORT'
+             ITERATIONS=105 ;;
+
+        'gtime' ) 
+             DIROUT='GTIME'
+             ITERATIONS=5475 ;;
+esac
+
+# Working directory
+cd ${TMPDIR}
+#-T- osxxlf mkdir -p ${WORK}/NEMO_VALID/W${CONF}/${RUN}/${DIROUT}/${MYO_EXP}/RUN
+#-T- osxxlf cd ${WORK}/NEMO_VALID/W${CONF}/${RUN}/${DIROUT}/${MYO_EXP}/RUN
+#-T- osxxlf zback=$?
+#-T- osxxlf if [ ${zback} = 0 ] ; then rm -rf namelist* *.nc memory* solver.stat ocean.output* mpp.output* mono.output* ; fi
+
+##############################################################
+##############################################################
+##############################################################
+###             Input files
+##############################################################
+##############################################################
+##############################################################
+# Local function to copy namelists files
+get_namelist () {
+    if [ -a $1/$2_$3 ] ; then
+        cp $1/$2_$3 $4
+    else
+        echo '                ###############################################################'
+        echo '                ######################## W A R N I N G ########################'
+        echo '                ######################## W A R N I N G ########################'
+        echo '                ######################## W A R N I N G ########################'
+        echo '                ###############################################################'
+        echo "              $2_$3 file doesn't exist, we use the standard $2"
+        echo '                ###############################################################'
+        echo '                ######################## W A R N I N G ########################'
+        echo '                ######################## W A R N I N G ########################'
+        echo '                ######################## W A R N I N G ########################'
+        echo '                ###############################################################'
+        cp $1/$2 $4
+    fi
+}
+
+# Local function to find namelists parameters
+supergrep () {
+    grep "^ *$1 *=" $2 | sed -e "s% *\!.*%%"
+}
+
+# Ocean namelist
+LOC_NAM=${MAINDIR}/modipsl/config/${CONF}/EXP00
+get_namelist ${LOC_NAM} namelist ${MYO_EXP} namelist
+
+# Sea-Ice namelist
+get_namelist ${LOC_NAM} namelist_ice_lim2 ${MYO_EXP} namelist_ice
+
+# Passive transport namelist
+get_namelist ${LOC_NAM} namelist_top ${MYO_EXP} namelist_top
+
+# Pisces namelist
+get_namelist ${LOC_NAM} namelist_pisces ${MYO_EXP} namelist_pisces
+get_namelist ${LOC_NAM} kRGB61.txt      ${MYO_EXP} kRGB61.txt
+
+# Local function to find namelists parameters
+supergrep () {
+    grep "^ *$1 *=" $2 | sed -e "s% *\!.*%%"
+}
+
+# namelist modifications
+PAT_NIT000=$( supergrep nit000             namelist )
+PAT_NITEND=$( supergrep nitend             namelist )
+PAT_NSTOCK=$( supergrep nstock             namelist )
+PAT_NWRITE=$( supergrep nwrite             namelist )
+PAT_NRSTDT=$( supergrep nrstdt             namelist )
+PAT_NBITCM=$( supergrep nbit_cmp           namelist )
+PAT_TRACEN=$( supergrep ln_traadv_cen2     namelist )
+PAT_TRATVD=$( supergrep ln_traadv_tvd      namelist )
+PAT_N_CLAA=$( supergrep n_cla              namelist )
+PAT_NSOLVV=$( supergrep nsolv              namelist )
+PAT_RESTAR=$( supergrep ln_rstart          namelist )
+PAT_RESMLD=$( supergrep ln_trdmld_restart  namelist )
+
+sed -e "s%$PAT_RESTAR%   ln_rstart   =  .false.%"          \
+    -e "s%$PAT_NIT000%   nit000     =     1   %"           \
+    -e "s%$PAT_NITEND%   nitend     =     ${ITERATIONS} %" \
+    -e "s%$PAT_NSTOCK%   nstock     =     ${ITERATIONS} %" \
+    -e "s%$PAT_NWRITE%   nwrite     =     75  %"           \
+    -e "s%$PAT_NRSTDT%   nrstdt     =     0   %"           \
+    -e "s%$PAT_NBITCM%   nbit_cmp   =     1%"              \
+    -e "s%$PAT_TRACEN%   ln_traadv_cen2   =  .false.%"     \
+    -e "s%$PAT_TRATVD%   ln_traadv_tvd    =  .true.%"      \
+    -e "s%$PAT_N_CLAA%   n_cla   = 0%"                     \
+    -e "s%$PAT_NSOLVV%   nsolv     =      2%"              \
+    -e "s%$PAT_RESMLD%   ln_trdmld_restart =  .false.%" namelist > nam.tmp
+
+mv nam.tmp namelist
+
+# namelist modifications
+PAT_NWRTRC=$( supergrep nwritetrc         namelist_top )
+PAT_LRSTTR=$( supergrep lrsttr            namelist_top )
+PAT_NRSTTR=$( supergrep nrsttr            namelist_top )
+PAT_TRCRAD=$( supergrep ln_trcrad         namelist_top )
+
+sed -e "s%$PAT_NWRTRC%   nwritetrc   = ${ITERATIONS}%" \
+    -e "s%$PAT_LRSTTR%   lrsttr      =  .false.%"      \
+    -e "s%$PAT_NRSTTR%   nrsttr      =     0   %"       \
+    -e "s%$PAT_TRCRAD%   ln_trcrad   =  .false.%" namelist_top > nam.tmp     
+
+mv nam.tmp namelist_top
+
+# Get forcing files
+${D_GET} ${D_INPUT}/ORCA2_LIM_nemo_v3.1.tar ORCA2_LIM_nemo_v3.1.tar
+tar xvf ORCA2_LIM_nemo_v3.1.tar
+rm -f ORCA2_LIM_nemo_v3.1.tar
+
+# Get forcing pisces files
+${D_GET} ${D_INPUT}/INPUTS_PISCES_v3.tar INPUTS_PISCES_v3.tar
+tar xvf INPUTS_PISCES_v3.tar
+rm -f INPUTS_PISCES_v3.tar
+
+# Get restarts files if needed
+if [ $type = '2_short' ]
+then
+    if [ ${RUN} = 'mon' -o ${RUN} = 'omp' ] ; then 
+        cp ${WORK}/NEMO_VALID/W${CONF}/${RUN}/1_SHORT/${MYO_EXP}/*_restart.nc restart.nc
+        cp ${WORK}/NEMO_VALID/W${CONF}/${RUN}/1_SHORT/${MYO_EXP}/*restart_ice.nc restart_ice_in.nc
+        cp ${WORK}/NEMO_VALID/W${CONF}/${RUN}/1_SHORT/${MYO_EXP}/*restart_trc.nc restart_trc.nc
+    fi
+
+    if [ ${RUN} = 'mpi' ] ; then
+        typeset -Z4 i=0
+        while [ $i -lt $NB_PROCS ]
+        do
+           cp ${WORK}/NEMO_VALID/W${CONF}/${RUN}/1_SHORT/${MYO_EXP}/*_restart_${i}.nc restart_${i}.nc
+           cp ${WORK}/NEMO_VALID/W${CONF}/${RUN}/1_SHORT/${MYO_EXP}/*restart_ice_${i}.nc restart_ice_in_${i}.nc
+           cp ${WORK}/NEMO_VALID/W${CONF}/${RUN}/1_SHORT/${MYO_EXP}/*restart_trc_${i}.nc restart_trc_${i}.nc
+           let i=$i+1
+        done
+    fi
+
+    # Ocean namelist modifications
+    PAT_NIT000=$( supergrep nit000             namelist )
+    PAT_NITEND=$( supergrep nitend             namelist )
+    PAT_NRSTDT=$( supergrep nrstdt             namelist )
+    PAT_RESTAR=$( supergrep ln_rstart          namelist )
+    PAT_RESMLD=$( supergrep ln_trdmld_restart  namelist )
+    ORCA_NIT000=$(( $ITERATIONS + 1 ))
+    ORCA_NITEND=$(( $ITERATIONS*2 ))
+    
+    sed  -e "s%$PAT_RESTAR%   ln_rstart   =  .true.%"          \
+         -e "s%$PAT_NIT000%   nit000     =     $ORCA_NIT000 %" \
+         -e "s%$PAT_NITEND%   nitend     =     $ORCA_NITEND %" \
+         -e "s%$PAT_NRSTDT%   nrstdt     =     2%"             \
+         -e "s%$PAT_RESMLD%   ln_trdmld_restart =  .true.%" namelist > nam.tmp
+    
+    mv nam.tmp namelist
+
+   # Biogeochemistry namelist modifications
+    PAT_LRSTTR=$( supergrep lrsttr        namelist_top )
+    PAT_NRSTTR=$( supergrep nrsttr        namelist_top )
+
+    sed -e "s%$PAT_LRSTTR%   lrsttr     = .true. %"  \
+        -e "s%$PAT_NRSTTR%   nrsttr     = 2%" namelist_top > nam.tmp
+
+    mv nam.tmp namelist_top
+
+   PAT_PISDMP=$( supergrep ln_pisdmp     namelist_pisces )
+   sed -e "s%$PAT_PISDMP%  ln_pisdmp     = .false.%" namelist_pisces > nam.tmp
+   mv nam.tmp namelist_pisces
+fi
+
+##############################################################
+##############################################################
+##############################################################
+###             Launch run
+##############################################################
+##############################################################
+##############################################################
+
+cp ${WORK}/NEMO_VALID/W${CONF}/opa_${CONF}_${RUN}_${MYO_EXP} opa_${CONF}_${RUN}_${MYO_EXP}
+cp ${WORK}/NEMO_VALID/W${CONF}/opa_${CONF}_memo_${MYO_EXP} opa_${CONF}_memo_${MYO_EXP}
+chmod 777 opa_${CONF}_${RUN}_${MYO_EXP}
+chmod 777 opa_${CONF}_memo_${MYO_EXP}
+
+#
+# Profiling & Executable memory size
+####################################
+touch memory_size.txt
+
+case ${RUN} in
+        'mon' ) 
+#-T- sx8brodie export F_PROGINF=detail
+#-T- sx8brodie echo "Stack memory: $( (size opa_${CONF}_${RUN}_${MYO_EXP}) )"    >> memory_size.txt 
+#-T- sx8brodie echo "Static memory: $( (size opa_${CONF}_memo_${MYO_EXP}) )"   >> memory_size.txt  ;;
+#-T- sx8mercure export F_PROGINF=detail
+#-T- sx8mercure echo "Stack memory: $( (size opa_${CONF}_${RUN}_${MYO_EXP}) )"    >> memory_size.txt
+#-T- sx8mercure echo "Static memory: $( (size opa_${CONF}_memo_${MYO_EXP}) )"   >> memory_size.txt  ;;
+#-T- aix6     ;;
+#-T- ax6_mono echo "Stack memory: $( (size opa_${CONF}_memo_${MYO_EXP}) )"    >> memory_size.txt 
+#-T- ax6_mono echo "Static memory: $( (size opa_${CONF}_${RUN}_${MYO_EXP}) )"   >> memory_size.txt ;;
+#-T- osxxlf echo "Stack memory: $( (size opa_${CONF}_memo_${MYO_EXP}) )"    >> memory_size.txt 
+#-T- osxxlf echo "Static memory: $( (size opa_${CONF}_${RUN}_${MYO_EXP}) )"   >> memory_size.txt ;; 
+        'mpi' ) 
+#-T- sx8brodie export MPIPROGINF=detail ;;
+#-T- sx8mercure export MPIPROGINF=detail ;;
+#-T- aix6     ;;
+#-T- ax6_mono ;;
+#-T- osxxlf   ;;
+        'omp' ) 
+#-T- sx8brodie export F_PROGINF=detail
+#-T- sx8brodie export OMP_NUM_THREADS=${NB_PROCS} ;;
+#-T- sx8mercure export F_PROGINF=detail
+#-T- sx8mercure export OMP_NUM_THREADS=${NB_PROCS} ;;
+#-T- aix6     ;;
+#-T- ax6_mono ;;
+#-T- osxxlf   ;;
+esac
+#
+# >>>>>> EXECUTION < < < <
+##########################
+
+case ${RUN} in
+        'mon' | 'omp' ) 
+              ${CPERF} ./opa_${CONF}_${RUN}_${MYO_EXP} ;;
+        'mpi' ) 
+#-T- sx8brodie         ${CPERF} ${LEXE} ./opa_${CONF}_${RUN}_${MYO_EXP} ;;
+#-T- sx8mercure         ${CPERF} ${LEXE} ./opa_${CONF}_${RUN}_${MYO_EXP} ;;
+#-T- aix6              ${CPERF} ${LEXE} ./opa_${CONF}_${RUN}_${MYO_EXP} ;;
+#-T- osxxlf   mpd&
+#-T- osxxlf   sleep 5
+#-T- osxxlf   ${CPERF} ${LEXE} ./opa_${CONF}_${RUN}_${MYO_EXP}
+#-T- osxxlf   mpdallexit ;;
+esac
+
+ls -l
+#
+
+##############################################################
+##############################################################
+##############################################################
+###             Save output files
+##############################################################
+##############################################################
+##############################################################
+case ${RUN} in
+	'mon' | 'omp' )
+               liste_files='*abort* memory* namelist* perfs* solver.stat ocean.output layout* ORCA2* restart* mono*' ;;
+	'mpi' )
+               liste_files='*abort* namelist* solver.stat perfs* ocean.output* layout* ORCA2* restart* mpp*' ;;
+esac
+
+# Ensure that all files saved are coming from the current run
+ind=1
+for k in $liste_files
+do
+   echo $k > temp
+   var=$( ( awk '{printf("%-.4s", varin ) } ' varin=$k temp ) )
+   if [ ${ind} = 1 -a ${var} = 'perf' ] ; then
+       kc='perf*'
+       rm -f ${WORK}/NEMO_VALID/W${CONF}/${RUN}/${DIROUT}/${MYO_EXP}/${kc}
+       ind=0
+   fi
+   cp $k ${WORK}/NEMO_VALID/W${CONF}/${RUN}/${DIROUT}/${MYO_EXP}/$k
+done
+
+##############################################################
+##############################################################
+##############################################################
+###             Retrieve some reference run files
+##############################################################
+##############################################################
+##############################################################
+if [ ${REF_TAG} ]
+then
+   STORE_DATA=${REF_OD}/${CONF}/${REF_TAG}/${RUN}/${DIROUT}
+   LFILES="solver.stat memory_size.txt ocean.output ${RUN}${CONF}_err"
+   for ref_file in ${LFILES}
+   do
+       ${D_GET} ${STORE_DATA}/${TSYMB}${ref_file} ${WORK}/NEMO_VALID/W${CONF}/${RUN}/${DIROUT}/REF/${ref_file}
+   done
+fi
+
+##############################################################
+##############################################################
+##############################################################
+###             Launch restart job
+##############################################################
+##############################################################
+##############################################################
+if [ $type = '1_short' ] ; then
+    cd ${WORK}/NEMO_VALID/W${CONF}/${RUN}/2_SHORT/${MYO_EXP}
+    ${LAUNCH}job_${RUN}_2_short_${MYO_EXP}.ksh
+fi
Index: trunk/NVTK/INSTALL/JOBS/job_ORCA2_OFF_PISCES.ksh
===================================================================
--- trunk/NVTK/INSTALL/JOBS/job_ORCA2_OFF_PISCES.ksh	(revision 1357)
+++ trunk/NVTK/INSTALL/JOBS/job_ORCA2_OFF_PISCES.ksh	(revision 1357)
@@ -0,0 +1,301 @@
+# $Id: job_ORCA2_LIM.ksh 1301 2009-02-09 17:15:38Z ctlod $
+set -xv
+
+CONF=ORCA2_OFF_PISCES
+# Variables changed by lance_batch.ksh script
+RUN=xxx
+NB_PROCS=xxx
+LAUNCH=xxx
+LEXE=xxx
+CPERF=xxx
+D_INPUT=xxx
+D_GET=xxx
+REF_TAG=xxx
+MYO_EXP=xxx
+TSYMB=xxx
+
+# Variables changed by ins_valid.ksh script
+MAINDIR=/workdir/rech/eee/reee534/AUTRE
+WORK=/workdir/rech/eee/reee534/AUTRE/modipsl/config/
+REF_OD=/u/rech/eee/reee831/NEMO_VALIDATION
+
+# Arguments
+# type = 'long' or '1_short' or '2_short'
+type=$1
+
+case ${type} in
+        'long' ) 
+             DIROUT='LONG'
+             ITERATIONS=240 ;;
+              
+        '1_short' ) 
+             DIROUT='1_SHORT'
+             ITERATIONS=120 ;;
+              
+        '2_short' ) 
+             DIROUT='2_SHORT'
+             ITERATIONS=120 ;;
+
+        'gtime' ) 
+             DIROUT='GTIME'
+             ITERATIONS=1460 ;;
+esac
+
+# Working directory
+cd ${TMPDIR}
+#-T- osxxlf mkdir -p ${WORK}/NEMO_VALID/W${CONF}/${RUN}/${DIROUT}/${MYO_EXP}/RUN
+#-T- osxxlf cd ${WORK}/NEMO_VALID/W${CONF}/${RUN}/${DIROUT}/${MYO_EXP}/RUN
+#-T- osxxlf zback=$?
+#-T- osxxlf if [ ${zback} = 0 ] ; then rm -rf namelist* *.nc memory* solver.stat ocean.output* mpp.output* mono.output* ; fi
+
+##############################################################
+##############################################################
+##############################################################
+###             Input files
+##############################################################
+##############################################################
+##############################################################
+# Local function to copy namelists files
+get_namelist () {
+    if [ -a $1/$2_$3 ] ; then
+        cp $1/$2_$3 $4
+    else
+        echo '                ###############################################################'
+        echo '                ######################## W A R N I N G ########################'
+        echo '                ######################## W A R N I N G ########################'
+        echo '                ######################## W A R N I N G ########################'
+        echo '                ###############################################################'
+        echo "              $2_$3 file doesn't exist, we use the standard $2"
+        echo '                ###############################################################'
+        echo '                ######################## W A R N I N G ########################'
+        echo '                ######################## W A R N I N G ########################'
+        echo '                ######################## W A R N I N G ########################'
+        echo '                ###############################################################'
+        cp $1/$2 $4
+    fi
+}
+
+# Local function to find namelists parameters
+supergrep () {
+    grep "^ *$1 *=" $2 | sed -e "s% *\!.*%%"
+}
+
+# Ocean namelist
+LOC_NAM=${MAINDIR}/modipsl/config/${CONF}/EXP00
+get_namelist ${LOC_NAM} namelist ${MYO_EXP} namelist
+
+# Passive transport namelist
+get_namelist ${LOC_NAM} namelist_top ${MYO_EXP} namelist_top
+
+# Pisces namelist
+get_namelist ${LOC_NAM} namelist_pisces ${MYO_EXP} namelist_pisces
+get_namelist ${LOC_NAM} kRGB61.txt      ${MYO_EXP} kRGB61.txt
+
+# Local function to find namelists parameters
+supergrep () {
+    grep "^ *$1 *=" $2 | sed -e "s% *\!.*%%"
+}
+
+# namelist modifications
+PAT_NIT000=$( supergrep nit000             namelist )
+PAT_NITEND=$( supergrep nitend             namelist )
+PAT_NSTOCK=$( supergrep nstock             namelist )
+
+sed -e "s%$PAT_NIT000%   nit000     =     1   %"           \
+    -e "s%$PAT_NITEND%   nitend     =     ${ITERATIONS} %" \
+    -e "s%$PAT_NSTOCK%   nstock     =     ${ITERATIONS} %" namelist > nam.tmp
+
+mv nam.tmp namelist
+
+# namelist modifications
+PAT_NWRTRC=$( supergrep nwritetrc         namelist_top )
+PAT_LRSTTR=$( supergrep lrsttr            namelist_top )
+PAT_NRSTTR=$( supergrep nrsttr            namelist_top )
+PAT_TRCRAD=$( supergrep ln_trcrad         namelist_top )
+
+sed -e "s%$PAT_NWRTRC%   nwritetrc   = ${ITERATIONS}%" \
+    -e "s%$PAT_LRSTTR%   lrsttr      =  .false.%"      \
+    -e "s%$PAT_NRSTTR%   nrsttr      =     0   %"       \
+    -e "s%$PAT_TRCRAD%   ln_trcrad   =  .false.%" namelist_top > nam.tmp     
+
+mv nam.tmp namelist_top
+
+# Get forcing files
+${D_GET} ${D_INPUT}/INPUTS_DYNA_v3.tar  INPUTS_DYNA_v3.tar
+tar xvf INPUTS_DYNA_v3.tar
+rm -f INPUTS_DYNA_v3.tar
+
+# Get meshmask file
+${D_GET} ${D_INPUT}/INPUTS_INIT_v3.tar INPUTS_INIT_v3.tar
+tar xvf INPUTS_INIT_v3.tar
+rm -f INPUTS_INIT_v3.tar
+rm -f restart_trc*.nc
+
+# Get forcing pisces files
+${D_GET} ${D_INPUT}/INPUTS_PISCES_v3.tar INPUTS_PISCES_v3.tar
+tar xvf INPUTS_PISCES_v3.tar
+rm -f INPUTS_PISCES_v3.tar
+
+# Get restarts files if needed
+if [ $type = '2_short' ]
+then
+    if [ ${RUN} = 'mon' -o ${RUN} = 'omp' ] ; then 
+        cp ${WORK}/NEMO_VALID/W${CONF}/${RUN}/1_SHORT/${MYO_EXP}/*restart_trc.nc restart_trc.nc
+    fi
+
+    if [ ${RUN} = 'mpi' ] ; then
+        typeset -Z4 i=0
+        while [ $i -lt $NB_PROCS ]
+        do
+           cp ${WORK}/NEMO_VALID/W${CONF}/${RUN}/1_SHORT/${MYO_EXP}/*restart_trc_${i}.nc restart_trc_${i}.nc
+           let i=$i+1
+        done
+    fi
+
+    # Ocean namelist modifications
+    PAT_NIT000=$( supergrep nit000             namelist )
+    PAT_NITEND=$( supergrep nitend             namelist )
+    ORCA_NIT000=$(( $ITERATIONS + 1 ))
+    ORCA_NITEND=$(( $ITERATIONS*2 ))
+    
+    sed  -e "s%$PAT_NIT000%   nit000     =     $ORCA_NIT000 %" \
+         -e "s%$PAT_NITEND%   nitend     =     $ORCA_NITEND %" namelist > nam.tmp
+    
+    mv nam.tmp namelist
+
+   # Biogeochemistry namelist modifications
+    PAT_LRSTTR=$( supergrep lrsttr        namelist_top )
+    PAT_NRSTTR=$( supergrep nrsttr        namelist_top )
+
+    sed -e "s%$PAT_LRSTTR%   lrsttr     = .true. %"  \
+        -e "s%$PAT_NRSTTR%   nrsttr     = 2%" namelist_top > nam.tmp
+
+    mv nam.tmp namelist_top
+
+   PAT_PISDMP=$( supergrep ln_pisdmp     namelist_pisces )
+   sed -e "s%$PAT_PISDMP%  ln_pisdmp     = .false.%" namelist_pisces > nam.tmp
+   mv nam.tmp namelist_pisces
+fi
+
+##############################################################
+##############################################################
+##############################################################
+###             Launch run
+##############################################################
+##############################################################
+##############################################################
+
+cp ${WORK}/NEMO_VALID/W${CONF}/opa_${CONF}_${RUN}_${MYO_EXP} opa_${CONF}_${RUN}_${MYO_EXP}
+cp ${WORK}/NEMO_VALID/W${CONF}/opa_${CONF}_memo_${MYO_EXP} opa_${CONF}_memo_${MYO_EXP}
+chmod 777 opa_${CONF}_${RUN}_${MYO_EXP}
+chmod 777 opa_${CONF}_memo_${MYO_EXP}
+
+#
+# Profiling & Executable memory size
+####################################
+touch memory_size.txt
+
+case ${RUN} in
+        'mon' ) 
+#-T- sx8brodie export F_PROGINF=detail
+#-T- sx8brodie echo "Stack memory: $( (size opa_${CONF}_${RUN}_${MYO_EXP}) )"    >> memory_size.txt 
+#-T- sx8brodie echo "Static memory: $( (size opa_${CONF}_memo_${MYO_EXP}) )"   >> memory_size.txt  ;;
+#-T- sx8mercure export F_PROGINF=detail
+#-T- sx8mercure echo "Stack memory: $( (size opa_${CONF}_${RUN}_${MYO_EXP}) )"    >> memory_size.txt
+#-T- sx8mercure echo "Static memory: $( (size opa_${CONF}_memo_${MYO_EXP}) )"   >> memory_size.txt  ;;
+#-T- aix6     ;;
+#-T- ax6_mono echo "Stack memory: $( (size opa_${CONF}_memo_${MYO_EXP}) )"    >> memory_size.txt 
+#-T- ax6_mono echo "Static memory: $( (size opa_${CONF}_${RUN}_${MYO_EXP}) )"   >> memory_size.txt ;;
+#-T- osxxlf echo "Stack memory: $( (size opa_${CONF}_memo_${MYO_EXP}) )"    >> memory_size.txt 
+#-T- osxxlf echo "Static memory: $( (size opa_${CONF}_${RUN}_${MYO_EXP}) )"   >> memory_size.txt ;; 
+        'mpi' ) 
+#-T- sx8brodie export MPIPROGINF=detail ;;
+#-T- sx8mercure export MPIPROGINF=detail ;;
+#-T- aix6     ;;
+#-T- ax6_mono ;;
+#-T- osxxlf   ;;
+        'omp' ) 
+#-T- sx8brodie export F_PROGINF=detail
+#-T- sx8brodie export OMP_NUM_THREADS=${NB_PROCS} ;;
+#-T- sx8mercure export F_PROGINF=detail
+#-T- sx8mercure export OMP_NUM_THREADS=${NB_PROCS} ;;
+#-T- aix6     ;;
+#-T- ax6_mono ;;
+#-T- osxxlf   ;;
+esac
+#
+# >>>>>> EXECUTION < < < <
+##########################
+
+case ${RUN} in
+        'mon' | 'omp' ) 
+              ${CPERF} ./opa_${CONF}_${RUN}_${MYO_EXP} ;;
+        'mpi' ) 
+#-T- sx8brodie         ${CPERF} ${LEXE} ./opa_${CONF}_${RUN}_${MYO_EXP} ;;
+#-T- sx8mercure         ${CPERF} ${LEXE} ./opa_${CONF}_${RUN}_${MYO_EXP} ;;
+#-T- aix6              ${CPERF} ${LEXE} ./opa_${CONF}_${RUN}_${MYO_EXP} ;;
+#-T- osxxlf   mpd&
+#-T- osxxlf   sleep 5
+#-T- osxxlf   ${CPERF} ${LEXE} ./opa_${CONF}_${RUN}_${MYO_EXP}
+#-T- osxxlf   mpdallexit ;;
+esac
+
+ls -l
+#
+
+##############################################################
+##############################################################
+##############################################################
+###             Save output files
+##############################################################
+##############################################################
+##############################################################
+case ${RUN} in
+	'mon' | 'omp' )
+               liste_files='*abort* memory* namelist* perfs* ocean.output layout* PISCES* restart* mono*' ;;
+	'mpi' )
+               liste_files='*abort* namelist* perfs* ocean.output* layout* PISCES* restart* mpp*' ;;
+esac
+
+# Ensure that all files saved are coming from the current run
+ind=1
+for k in $liste_files
+do
+   echo $k > temp
+   var=$( ( awk '{printf("%-.4s", varin ) } ' varin=$k temp ) )
+   if [ ${ind} = 1 -a ${var} = 'perf' ] ; then
+       kc='perf*'
+       rm -f ${WORK}/NEMO_VALID/W${CONF}/${RUN}/${DIROUT}/${MYO_EXP}/${kc}
+       ind=0
+   fi
+   cp $k ${WORK}/NEMO_VALID/W${CONF}/${RUN}/${DIROUT}/${MYO_EXP}/$k
+done
+
+##############################################################
+##############################################################
+##############################################################
+###             Retrieve some reference run files
+##############################################################
+##############################################################
+##############################################################
+if [ ${REF_TAG} ]
+then
+   STORE_DATA=${REF_OD}/${CONF}/${REF_TAG}/${RUN}/${DIROUT}
+   LFILES="solver.stat memory_size.txt ocean.output ${RUN}${CONF}_err"
+   for ref_file in ${LFILES}
+   do
+       ${D_GET} ${STORE_DATA}/${TSYMB}${ref_file} ${WORK}/NEMO_VALID/W${CONF}/${RUN}/${DIROUT}/REF/${ref_file}
+   done
+fi
+
+##############################################################
+##############################################################
+##############################################################
+###             Launch restart job
+##############################################################
+##############################################################
+##############################################################
+if [ $type = '1_short' ] ; then
+    cd ${WORK}/NEMO_VALID/W${CONF}/${RUN}/2_SHORT/${MYO_EXP}
+    ${LAUNCH}job_${RUN}_2_short_${MYO_EXP}.ksh
+fi
